> For the complete documentation index, see [llms.txt](https://docs.constellationnetwork.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.constellationnetwork.io/network-apis/api-reference/dag4.js/dag4.js-example-apps.md).

# Dag4.js Example Apps

See dag4.js used in production open source codebases.

Want to see your open source project featured here? [Submit your project for consideration](https://t.me/constellationcommunity).

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td><strong>Stargazer Wallet</strong></td><td>Stargazer Wallet is a cross-chain wallet supporting Constellation Network and Ethereum ecosystems. It is available as a Chrome extension and as a mobile app for iOS and Android.</td><td><a href="https://github.com/StardustCollective/stargazer-wallet-ext">https://github.com/StardustCollective/stargazer-wallet-ext</a></td><td><a href="/files/N0CpC7X2CGFVLVjftBF4">/files/N0CpC7X2CGFVLVjftBF4</a></td></tr><tr><td><strong>Telegram Tip Bot</strong></td><td>The Telegram Tip Bot is a small cloud application integrated with Telegram that allows users to send DAG to each other with TG commands. Because transactions on the Hypergraph are free, all tip transactions are able to be processed on-chain.</td><td><a href="https://github.com/StardustCollective/telegram-bot-tipjar">https://github.com/StardustCollective/telegram-bot-tipjar</a></td><td><a href="/files/Bxl66HpWhDNBR2r4mliz">/files/Bxl66HpWhDNBR2r4mliz</a></td></tr><tr><td><strong>Metagraph Examples</strong><br>Constellation maintains a repo with metagraph implementation examples, including several that demonstrate usage of dag4.js in combination with a metagraph codebase. </td><td></td><td><a href="https://github.com/Constellation-Labs/metagraph-examples">https://github.com/Constellation-Labs/metagraph-examples</a></td><td><a href="/files/qAqvL7a332eXmUYizsBS">/files/qAqvL7a332eXmUYizsBS</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.constellationnetwork.io/network-apis/api-reference/dag4.js/dag4.js-example-apps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
